## heartbleeder 0.1.1

=== man/Makefile ===
heartbleeder.1: heartbleeder.txt heartbleeder.1.header
	@txt2man heartbleeder.txt | tail +3 | cat heartbleeder.1.header - > heartbleeder.1

=== debian/changelog ===
heartbleeder (0.1.1-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * d/control: Add Rules-Requires-Root: no

 -- Samuel Henrique <samueloph@debian.org>  Fri, 29 Jan 2021 19:35:10 +0000

heartbleeder (0.1.1-8) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Samuel Henrique ]
  * Bump DH level to 11
  * Bump Standards-Version to 4.2.1
  * Update my email address to debian.org
  * Remove unused lintian overrides
  * d/rules: remove parallel parameter, default in recent debhelper

 -- Samuel Henrique <samueloph@debian.org>  Wed, 26 Sep 2018 20:45:32 -0300

heartbleeder (0.1.1-7) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:13:34 +0100

heartbleeder (0.1.1-6) unstable; urgency=medium

  * Team upload.
  * gbp.conf: set debian-branch
  * Build-Depend on golang-any, not golang
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 18:39:37 +0100

heartbleeder (0.1.1-5) unstable; urgency=medium

  * d/rules: Use $(MAKE) instead of make.
  * d/copyright: Update debian/* entry.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 07 Jan 2017 13:45:50 -0200

heartbleeder (0.1.1-4) unstable; urgency=medium

  * New maintainer. Thanks to everyone that have worked previously on this
    package (closes: #837053).
  * Bump DH level to 10.
  * Set Debian Go Packaging Team as maintainer.
  * Set myself as uploader.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 20 Oct 2016 00:00:41 -0200

heartbleeder (0.1.1-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]

  * QA upload.
  * Set Debian QA Group as maintainer. (see #837053)
  * Bumped Standards-Version to 3.9.8.
  * debian/copyright: updated packaging copyright information.
  * debian/heartbleeder.lintian-overrides:
      - Added two new overrides about hardening.
      - Removed now unused override spelling-error-in-binary
        (lintian no longer see an issue here).
  * debian/patches:
      - manpage2: renamed to 10_improve_manpage.patch.
      - manpage: renamed to 20_fix_manpage_build.patch.
  * debian/watch: bumped to version 4.

  [ Paul Tagliamonte ]

  * Use a secure transport for the Vcs-Git and Vcs-Browser URL.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Sep 2016 09:24:30 -0300

heartbleeder (0.1.1-2) unstable; urgency=medium

  * New co-maintainer email address.
  * debian/control: updated the Vcs-Browser field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Aug 2014 13:58:36 -0300

heartbleeder (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #745370)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 20 Apr 2014 18:36:16 -0300

=== debian/control ===
Source: heartbleeder
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13), golang-any, dh-golang, txt2man
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/titanous/heartbleeder
Vcs-Git: https://salsa.debian.org/go-team/packages/heartbleeder.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/heartbleeder
XS-Go-Import-Path: github.com/titanous/heartbleeder

Package: heartbleeder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: test servers for OpenSSL CVE-2014-0160 aka Heartbleed
 The Heartbleed Bug is a serious vulnerability in the popular OpenSSL
 cryptographic software library. This weakness allows stealing the
 information protected, under normal conditions, by the SSL/TLS
 encryption used to secure the Internet. SSL/TLS provides communication
 security and privacy over the Internet for applications such as web,
 email, instant messaging (IM) and some virtual private networks (VPNs).
 .
 The Heartbleed bug allows anyone on the Internet to read the memory
 of the systems protected by the vulnerable versions of the OpenSSL
 software. This compromises the secret keys used to identify the service
 providers and to encrypt the traffic, the names and passwords of the
 users and the actual content. This allows attackers to eavesdrop on
 communications, steal data directly from the services and users and
 to impersonate services and users.
 .
 heartbleeder is a tool that tests remotely (over a network) if a
 system is compromised by an insecure OpenSSL service.
 .
 More about Heartbleed Bug can be viewed at http://heartbleed.com.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_OPTIONS


%:
	dh $@ --buildsystem=golang --with=golang

# tests currently fail
override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
#	generate the manpage
	cd man; $(MAKE)

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/heartbleeder/usr/share/gocode

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

=== debian/watch ===
version=4
https://github.com/titanous/heartbleeder/releases .*/archive/v(\d\S+)\.tar\.(?:bz2|gz|xz)
